Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create a new market

Creates a new market with the specified configuration including name, slug, locale, currency code, and associated country codes.

POST/api/v1/{team_slug}/{app_slug}/markets
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Request body
requiredapplication/json

Market data

activeboolean
country_codesstring[]required
min items 1
currency_codestringrequired
localestringrequired
namestringrequired
slugstringrequired
Responses
200

Market created successfully

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Marketrequired
Show properties
activeboolean
country_codesstring[] | null
created_atstring
currency_codestring
idstring
localestring
namestring
slugstring
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
201

Successful response

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Marketrequired
Show properties
activeboolean
country_codesstring[] | null
created_atstring
currency_codestring
idstring
localestring
namestring
slugstring
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.enad.io/api/v1/string/string/markets' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "active": true,
  "country_codes": [
    "string"
  ],
  "currency_code": "string",
  "locale": "string",
  "name": "string",
  "slug": "string"
}'
Response
{
  "data": {
    "active": true,
    "country_codes": [
      "string"
    ],
    "created_at": "string",
    "currency_code": "string",
    "id": "string",
    "locale": "string",
    "name": "string",
    "slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}